10.9 or 10.10 on iMac5,1 with C2D

Discussion in 'Mac Basics and Help' started by Birkin_Pl, Apr 3, 2017.

  1. Birkin_Pl macrumors newbie

    Joined:
    Apr 3, 2017
    #1
    Hello,
    Recently i bought iMac 17' (late 2006). Right now it has OS X 10.7.5. I want to install something newer, something which is still supported. I read many guides https://forums.macrumors.com/threads/os-x-el-capitan-on-unsupported-macs.1889851/ but I want to have a graphic acceleration. Can you help me with this ? It is possible ? I've installed the 10.9 but it was quite slow without graphic acceleration. I know that my CPU is 64bit and I have a Radeon X1600.
     
  2. Phil in ocala macrumors 6502a

    Phil in ocala

    Joined:
    Jul 14, 2016
    #2
    My opinion is that updates have mostly been a solution in search of a problem. If something is not broken...Apple will fix it...they took away my ethernet port use after an update....
     
  3. BrianBaughn, Apr 3, 2017
    Last edited: Apr 3, 2017

    BrianBaughn macrumors 601

    BrianBaughn

    Joined:
    Feb 13, 2011
    Location:
    Baltimore, Maryland
    #3
    I don't think we can tell you anything beyond what is in the thread you referenced.

    As far as "supported" goes...yes...El Capitan is still "supported" but not for Macs that aren't officially qualified to run it. So subsequent updates can be troublesome for unsupported models.

    Edit: You could look for a method to install a 64-bit Linux distribution on a Mac with a 32-bit EFI, which I believe is the situation with your iMac.
     
  4. Birkin_Pl thread starter macrumors newbie

    Joined:
    Apr 3, 2017
    #4
    But i want to stick with OS X. There isn't any way to just download drivers ?
     
  5. Birkin_Pl thread starter macrumors newbie

    Joined:
    Apr 3, 2017
    #5
    I've just installed 10.9 and it is working but i don't have a graphic driver. Pls help
     
  6. redheeler macrumors 603

    redheeler

    Joined:
    Oct 17, 2014
    #6
    As far as I know you're out of luck when it comes to GPU acceleration on 10.9 and later - my Late 2006 iMac 6,1 is still on 10.8.5 for this reason.
     

Share This Page